# $Revision: 1.42 $, $Date: 2011/02/17 12:18:03 $
%include	/usr/lib/rpm/macros.mono
Summary:	Debugger for mono
Summary(pl.UTF-8):	Odpluskiwacz dla mono
Name:		mono-debugger
Version:	2.10
Release:	1
# mono-debugger itself on MIT, but BFD libs enforce GPL
License:	GPL v2+
Group:		Development/Tools
# latest downloads summary at http://ftp.novell.com/pub/mono/sources-stable/
Source0:	http://ftp.novell.com/pub/mono/sources/mono-debugger/%{name}-%{version}.tar.bz2
# Source0-md5:	02ee485f2aae279f2fa3a7051c7d580e
Patch0:		%{name}-termcap.patch
URL:		http://www.mono-project.com/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	glib2-devel >= 1:2.0.0
BuildRequires:	libtool
BuildRequires:	mono-csharp >= 2.10
BuildRequires:	monodoc
BuildRequires:	pkgconfig
BuildRequires:	readline-devel
Requires:	mono >= 2.10
ExclusiveArch:	%{ix86} %{x8664}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Debugger for mono.

%description -l pl.UTF-8
Odpluskwiacz dla mono.

%package devel
Summary:	Development files for mono debugger
Summary(pl.UTF-8):	Pliki potrzebne programistom korzystającym z bibliotek odpluskiwacza mono
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Obsoletes:	mono-debugger-static

%description devel
Development files for mono debugger.

%description devel -l pl.UTF-8
Pliki potrzebne programistom korzystającym z bibliotek odpluskwiacza
mono.

%package doc
Summary:	Documentation for mono debugger
Summary(pl.UTF-8):	Dokumentacja odpluskiwacza dla mono
Group:		Documentation
Requires:	monodoc

%description doc
Documentation for mono debugger.

%description doc -l pl.UTF-8
Dokumentacja odpluskwiacza dla mono.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoheader}
%{__automake}
%{__autoconf}
%configure \
	--disable-static
%{__make} -j1

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# these are used just as DllImport in C# code, so no devel part
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libmonodebugger*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog NEWS README doc/*.txt
%attr(755,root,root) %{_bindir}/mdb
%attr(755,root,root) %{_bindir}/mdb-symbolreader
%attr(755,root,root) %{_libdir}/libmonodebuggerserver.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libmonodebuggerserver.so.0
%attr(755,root,root) %{_libdir}/libmonodebuggerserver.so
%{_prefix}/lib/mono/2.0/mdb-symbolreader.exe
%{_prefix}/lib/mono/2.0/mdb.exe
%{_prefix}/lib/mono/gac/Mono.Debugger
%{_prefix}/lib/mono/gac/Mono.Debugger.SymbolWriter
%{_prefix}/lib/mono/gac/Mono.Debugger.Frontend

%files devel
%defattr(644,root,root,755)
%dir %{_prefix}/lib/mono/%{name}
%{_prefix}/lib/mono/%{name}/Mono.Debugger.dll
%{_prefix}/lib/mono/%{name}/Mono.Debugger.SymbolWriter.dll
%{_prefix}/lib/mono/%{name}/Mono.Debugger.Frontend.dll
%{_pkgconfigdir}/mono-debugger.pc
%{_pkgconfigdir}/mono-debugger-frontend.pc

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: mono-debugger.spec,v $
Revision 1.42  2011/02/17 12:18:03  lisu
- up to 2.10
- update deps

Revision 1.41  2010/12/14 09:06:23  lisu
- up to 2.8.1

Revision 1.40  2010/10/18 15:01:13  vip
- up to 2.8

Revision 1.39  2010/09/26 17:54:56  qboosh
- cleanup

Revision 1.38  2010/03/24 18:11:44  megabajt
- updated to 2.6.3

Revision 1.37  2010/03/12 14:23:04  megabajt
- fixed %files on x86_64
- release 2

Revision 1.36  2010/03/12 14:11:07  megabajt
- updated to 2.6

Revision 1.35  2009/08/27 11:27:16  vip
- up to 2.4.2.1

Revision 1.34  2009/04/13 15:16:27  vip
- up to 2.4

Revision 1.33  2009/03/26 10:46:41  vip
- up to 2.2

Revision 1.32  2008/10/06 16:43:35  wolf
- 2.0

Revision 1.31  2008/06/19 05:18:49  qboosh
- updated URLs

Revision 1.30  2008/06/02 10:11:44  megabajt
- added ExclusiveArch %{ix86} %{x8664}; it won't build on any other
  architecture according to backend/arch/bfdglue.c

Revision 1.29  2008-03-23 13:12:57  qboosh
- dropped -static (libs used only as DllImport)
- updated mono BR
- ghost soname symlinks

Revision 1.28  2008-03-14 20:10:02  wolf
- 0.60

Revision 1.27  2007-05-16 20:53:03  qboosh
- updated to 0.50
- dropped outdated build-doc patch

Revision 1.26  2007/02/13 06:46:54  glen
- tabs in preamble

Revision 1.25  2007/02/12 00:49:08  baggins
- converted to UTF-8

Revision 1.24  2006/11/22 22:17:25  wolf
- require unstripped mono, works

Revision 1.23  2006/11/22 20:52:48  wolf
- 0.31
- still broken

Revision 1.22  2006/07/20 17:28:30  wolf
- 0.30

Revision 1.21  2006/07/07 19:25:02  wolf
- 0.20 (it's broken)

Revision 1.20  2006/04/15 15:17:48  wolf
- 0.12

Revision 1.19  2005/12/16 22:14:30  wolf
- 0.11

Revision 1.18  2005/07/21 21:31:20  pawcioos
- next fixed dirs

Revision 1.17  2005/07/21 21:16:54  pawcioos
- fixed dirs

Revision 1.16  2005/07/18 10:21:57  pawcioos
- fixed path /usr/lib

Revision 1.15  2005/07/17 19:20:56  qboosh
- removed dup from files

Revision 1.14  2005/07/17 17:55:06  pawcioos
- fixed section libdir

Revision 1.13  2005/07/17 17:22:12  qboosh
- better Group, gpm-friendly Source0 URL
- files need fix

Revision 1.12  2005/07/17 15:13:33  pawcioos
- fixed req. version of mono

Revision 1.11  2005/07/17 15:00:37  pawcioos
- updated to 0.10

Revision 1.10  2004/09/02 10:25:19  snurf
- typos / formatting / etc.

Revision 1.9  2004/08/15 19:06:59  krzak
- mono-csharp already require mono-devel

Revision 1.8  2004/04/06 18:47:25  qboosh
- use pkgconfigdir macro

Revision 1.7  2004/04/05 22:54:58  malekith
- up to 0.6; note that it requires NPTL

Revision 1.6  2004/02/16 15:09:44  grzegol
- updated to 0.5-20040216 snap
- added -devel -static and -doc subpackages

Revision 1.5  2003/09/14 17:03:39  malekith
- updated to 20030914; but it doesn't work well

Revision 1.4  2003/08/20 15:33:34  qboosh
- no // in paths, other cosmetics

Revision 1.3  2003/05/28 12:59:46  malekith
- massive attack: source-md5

Revision 1.2  2003/05/25 05:50:44  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.1  2003/02/26 21:30:44  malekith
- from scratch
